Subject: Chicken Scheme release tarballs ship non-source C code

From: "Thompson, David" <[email-masked]>
Date: Wed, 13 Jan 2016 13:54:37 -0500

Because Chicken Scheme's compiler is self-hosting, and because it
compiles to C as an intermediate form, the maintainers circumvented
the bootstrapping problem by shipping generated C code for the
compiler.  Many *.c files feature a comment that starts like this:

    Generated from optimizer.scm by the CHICKEN compiler

This is *not* source code, it's a binary disguised as C source code.

To resolve this bug, we need to delete these generated files from the
source tarball and figure out how to bootstrap Chicken without them.
Maybe someone who actively uses Chicken knows how to do this?

- Dave